Bug 955551 - Review Request: python-flask-admin - Simple and extensible admin interface framework for Flask
Summary: Review Request: python-flask-admin - Simple and extensible admin interface fr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-23 09:27 UTC by Matej Stuchlik
Modified: 2016-02-01 02:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 04:26:06 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matej Stuchlik 2013-04-23 09:27:22 UTC
Spec URL: http://mstuchli.fedorapeople.org/python-flask-admin.spec
SRPM URL: http://mstuchli.fedorapeople.org/python-flask-admin-1.0.5-1.fc18.src.rpm
Description: Simple and extensible admin interface framework for Flask
Fedora Account System Username: mstuchli

Comment 1 Matthias Runge 2013-04-23 13:25:50 UTC
Will do the review

Comment 2 Matthias Runge 2013-04-23 14:11:24 UTC
Some nitpicks before starting a real review:

- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib/python2.7/site-
  packages/flask_admin/translations/de/LC_MESSAGES/admin.mo
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

Please use %find_lang-macro, and please take care not to list files twice. That will probably imply, to list dirs separately.

rpmlint lists 4 errors as well:
Checking: python-flask-admin-1.0.5-1.fc20.noarch.rpm
python-flask-admin.noarch: E: zero-length /usr/lib/python2.7/site-packages/flask_admin/contrib/pymongo/typefmt.py
python-flask-admin.noarch: E: zero-length /usr/lib/python2.7/site-packages/flask_admin/tests/mock.py
python-flask-admin.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/flask_admin/static/select2/select2.css
python-flask-admin.noarch: E: zero-length /usr/lib/python2.7/site-packages/flask_admin/static/select2/VERSION-IS-3.2
1 packages and 0 specfiles checked; 4 errors, 0 warnings.

I usually silence those issues (zero-length) by including a comment into the file.

Script without shebang has probably x-flags set, please remove them.

Comment 3 Matthias Runge 2013-04-23 14:12:49 UTC
Forgot to mention, you're required to remove .egg-info before build.

Comment 4 Matej Stuchlik 2013-04-24 06:32:21 UTC
Thanks for the comments :)

As for the %find_lang macro -- I tried to use it, but it doesn't seem to find anything. Looking at the script it seems to me it's because of the directory structure of flask_admin/translations, and indeed when I change that to fit the regex in the find_lang script it finds everything alright.

So is using %lang in this particular case OK, or should I modify the directory structure, or...?

Comment 5 Matthias Runge 2013-04-24 06:56:11 UTC
changing the directory structure is a bad idea.

At python-django-horizon I took the following approach:

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd $RPM_BUILD_ROOT && find . -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
      >> django.lang
%endif

You should change the sed part, and of course, rename 'django*.mo' to whatever suits you.

Comment 6 Matej Stuchlik 2013-04-24 08:40:06 UTC
Hopefully closer to perfection now ^^
Spec URL: http://mstuchli.fedorapeople.org/python-flask-admin.spec
SRPM URL: http://mstuchli.fedorapeople.org/python-flask-admin-1.0.5-2.fc18.src.rpm

Comment 7 Matthias Runge 2013-04-24 08:58:07 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
Missing deps on f18, not a big deal.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/mrunge/review/955551-python-flask-
     admin/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/mrunge/review/955551-python-flask-admin/results/python-flask-admin-1.0.5-2.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/mrunge/review/955551-python-flask-admin/results/python-flask-admin-1.0.5-2.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: python-flask-admin-1.0.5-2.fc20.noarch (/python-flask-admin-1.0.5-2.fc20.noarch)
           Requires: python-flask-mongonegine
 You could try using --skip-broken to work around the problem
Error: Package: python-flask-admin-1.0.5-2.fc20.noarch (/python-flask-admin-1.0.5-2.fc20.noarch)
           Requires: python-wtf-peewee
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: python-flask-admin-1.0.5-2.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
python-flask-admin (rpmlib, GLIBC filtered):
    python(abi)
    python-flask
    python-flask-mongonegine
    python-flask-sqlalchemy
    python-flask-wtf
    python-peewee
    python-wtf-peewee



Provides
--------
python-flask-admin:
    python-flask-admin



MD5-sum check
-------------
https://pypi.python.org/packages/source/F/Flask-Admin/Flask-Admin-1.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 5fdbc85bec89eea12c1091e733774c83b57e5cd68d57fb6aef8a3fdbc0ffc5b8
  CHECKSUM(SHA256) upstream package : 5fdbc85bec89eea12c1091e733774c83b57e5cd68d57fb6aef8a3fdbc0ffc5b8


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 955551


You can remove the tests from the package, as they're not required. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5295821


Fine, package approved

Comment 8 Matej Stuchlik 2013-04-24 09:29:37 UTC
New Package SCM Request
=======================
Package Name: python-flask-admin
Short Description: Simple and extensible admin interface framework for Flask
Owners: mstuchli
Branches: f19
InitialCC:

Comment 9 Gwyn Ciesla 2013-04-24 12:09:37 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-04-29 09:38:24 UTC
python-flask-admin-1.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-flask-admin-1.0.5-2.fc19

Comment 11 Fedora Update System 2013-04-29 17:46:19 UTC
python-flask-admin-1.0.5-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2013-05-06 04:26:07 UTC
python-flask-admin-1.0.5-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Matej Stuchlik 2013-07-26 09:14:20 UTC
New Package SCM Request
=======================
Package Name: python-flask-admin
Short Description: Simple and extensible admin interface framework for Flask
Owners: mstuchli
Branches: el6
InitialCC:

Comment 14 Matej Stuchlik 2013-07-26 09:15:41 UTC
Whops, that was supposed to be:

Package Change Request
======================
Package Name: python-flask-admin
New Branches: el6
Owners: mstuchli

Comment 15 Gwyn Ciesla 2013-07-26 11:53:51 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2013-07-29 08:26:49 UTC
python-flask-admin-1.0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-flask-admin-1.0.5-3.el6

Comment 17 Fedora Update System 2013-11-19 01:20:39 UTC
python-flask-admin-1.0.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.